Bug 496552 - Errors: "Operation not supported (95)" & "Invalid argument (22)"
Errors: "Operation not supported (95)" & "Invalid argument (22)"
Status: CLOSED DUPLICATE of bug 458014
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 23:21 EDT by morgan read
Modified: 2009-05-02 10:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 22:08:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2009-04-19 23:21:10 EDT
Description of problem:
I'm running rsync between two fedora machines (f8 & f10) on the same local network with the rsync target being a large (250GB) firewire disk attached to the f8 machine.  All disks are formatted ext3 selinux is running on both machines as is beagle.  The f10 machine has lvm and luks encrypted drives.

The common parts to my errors are:
"rsync: rsync_xal_set: lsetxattr("...","security.selinux") failed:
Invalid argument (22)"
And:
"rsync: rsync_xal_set: lsetxattr("...","user.Beagle") failed: Operation
not supported (95)"

Where ... is some reference to a file relative to the source.  Seems to
be a selinux issue on the former and a beagle issue on the latter.


Version-Release number of selected component (if applicable):
$ rpm -q rsync
rsync-3.0.5-1.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Hmm, set up rsync as above and run it...
2. Here's the command I'm running from the rsync target:
   ssh -t rsync@morgansmachine sudo rsync -avzAXH --delete-after -e /home/rsync/bin/rsync_ssh /home/morgan/ root@morgansoldmachine:/mnt/bigdisk/morgansmachine/home/morgan
3. Here's the script rsync_ssh:
#! /bin/sh
exec ssh -i /home/rsync/.ssh/id_dsa "$@"
  
Actual results:
Failures as above

Expected results:
No failure

Additional info:
Query to list drew a blank:
http://www.mail-archive.com/rsync@lists.samba.org/msg23745.html
Comment 1 morgan read 2009-05-01 22:08:19 EDT
Closing as (95) error has been resolved:
http://lists.samba.org/archive/rsync/2009-April/023150.html
And, (22) error is a duplicate of bug 45801.
Comment 2 morgan read 2009-05-01 22:09:34 EDT
And, (22) error is a duplicate of bug 458014.
Comment 3 Simo Sorce 2009-05-02 10:35:40 EDT

*** This bug has been marked as a duplicate of bug 458014 ***

Note You need to log in before you can comment on or make changes to this bug.